function AB=kron_d(A,B);


% ma=size(A,1);
% na=size(A,2);
% [mb,nb]=size(B);
% AB(ma*mb,na*nb)=0.0d0;
% 
% %!$OMP parallel do shared(A,B,AB,nb,mb)
% for jj=1:ma
%     tmpjj=1+(jj-1)*mb:(jj)*mb;
%     for kk=1:na
%         tmpkk=1+(kk-1)*nb:kk*nb;
%         %        !call mulscalmx(A(jj,kk),B,mb,nb,newB)
%         AB(tmpjj,tmpkk)=A(jj,kk)*B;
%     end
%     
% end
% % AB=cell2mat(AB);

AB=kron(A,B);
return